<?php
/**
 * @category Create
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/WebDevStudios/CMB2
 */

/**
 * Get the bootstrap! If using the plugin from wordpress.org, REMOVE THIS!
 */

if ( file_exists( dirname( __FILE__ ) . '/cmb2/init.php' ) ) {
	require_once dirname( __FILE__ ) . '/cmb2/init.php';
} elseif ( file_exists( dirname( __FILE__ ) . '/CMB2/init.php' ) ) {
	require_once dirname( __FILE__ ) . '/CMB2/init.php';
}


//Header Options

add_action( 'cmb2_init', 'create_register_header_metabox' );
function create_register_header_metabox() {
	
	$prefix = '_create_header_';

	$cmb_header = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Header Options', 'create' ),
		'object_types'  => array( 'project','page','post', 'product' ), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_header->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
}

//Title Options

add_action( 'cmb2_init', 'create_register_title_metabox' );
function create_register_title_metabox() {

	$prefix = '_create_title_';

	$cmb_title = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Title Area Options', 'create' ),
		'object_types'  => array( 'page', 'project', 'post', 'product'), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_title->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
	
}

//Project Options

add_action( 'cmb2_init', 'create_register_project_metabox' );
function create_register_project_metabox() {
	
	$prefix = '_create_project_';

	$cmb_project = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Project Options', 'create' ),
		'object_types'  => array( 'project', ), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_project->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
}

//Blog Options

add_action( 'cmb2_init', 'create_register_blog_metabox' );
function create_register_blog_metabox() {
	
	$prefix = '_create_blog_';

	$cmb_blog = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Blog Options', 'create' ),
		'object_types'  => array( 'page', ), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_blog->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
}

//Post Options

add_action( 'cmb2_init', 'create_register_post_metabox' );
function create_register_post_metabox() {
	
	$prefix = '_create_post_';

	$cmb_post = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Post Options', 'create' ),
		'object_types'  => array( 'post', ), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_post->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
		
}

//Sidebar Options

add_action( 'cmb2_init', 'create_register_sidebar_metabox' );
function create_register_sidebar_metabox() {

	$prefix = '_create_sidebar_';

	$cmb_title = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Sidebar Options', 'create' ),
		'object_types'  => array( 'page', 'post'), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_title->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
}

//Footer Options

add_action( 'cmb2_init', 'create_register_footer_metabox' );
function create_register_footer_metabox() {

	$prefix = '_create_footer_';

	$cmb_footer = new_cmb2_box( array(
		'id'            => $prefix . 'options',
		'title'         => __( 'Footer Options', 'create' ),
		'object_types'  => array( 'page', 'post', 'project'), // Post type
		'context'       => 'normal',
		'priority'      => 'high',
		'show_names'    => true
	) );
	
	$cmb_footer->add_field( array(
		'name'             => __( 'Not available in Lite version.', 'create' ),
		'desc'             => __( 'This feature is only available in the full version of Create. <a href="http://create.themetrust.com/create-theme">Upgrade Now</a>', 'create' ),
		'id'               => $prefix . 'disabled',
		'type'             => 'title'
	));
	
}

